Safe Haskell | Safe-Inferred
Language | Haskell2010

DefaultSignatures

Synopsis

- class Foo a where
  - bar :: a -> String
  - baz :: a -> String
  - baz' :: String -> a

# Documentation

class Foo a where #

Documentation for Foo.

Minimal complete definition

baz

Methods

bar :: a -> String #

Documentation for bar and baz.

default bar :: Show a => a -> String #

Documentation for the default signature of bar.

baz :: a -> String #

Documentation for bar and baz.

baz' :: String -> a #

Documentation for baz'.

default baz' :: Read a => String -> a #

Documentation for the default signature of baz'.